import request from '@/utils/request'

// 查询等保系统列表
export function listDbxt(query) {
  return request({
    url: '/tcZz/networkSecurity/dbxt/list',
    method: 'get',
    params: query
  })
}

// 查询等保系统详细
export function getDbxt(id) {
  return request({
    url: '/tcZz/networkSecurity/dbxt/' + id,
    method: 'get'
  })
}

// 新增等保系统
export function addDbxt(data) {
  return request({
    url: '/tcZz/networkSecurity/dbxt',
    method: 'post',
    data: data
  })
}

// 修改等保系统
export function updateDbxt(data) {
  return request({
    url: '/tcZz/networkSecurity/dbxt',
    method: 'put',
    data: data
  })
}

// 删除等保系统
export function delDbxt(id) {
  return request({
    url: '/tcZz/networkSecurity/dbxt/' + id,
    method: 'delete'
  })
}
